Package org.eclipse.mat.ui.actions

# Class ImportReportAction

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.jface.action.AbstractAction
org.eclipse.jface.action.Action
org.eclipse.mat.ui.actions.ImportReportAction

All Implemented Interfaces:
  `IAction`

public class ImportReportAction extends Action

## Field Summary

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

## Constructor Summary

Constructors
Constructor
Description
`ImportReportAction(MultiPaneEditor editor)`
`ImportReportAction(MultiPaneEditor editor, File reportZipFile)`

## Method Summary

Modifier and Type
Method
Description
`static void`
`openReport(MultiPaneEditor editor, File reportZipFile)`
`void`
`run()`
`static IResult`
`unzipAndOpen(File reportZipFile)`

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, removePropertyChangeListener`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ImportReportAction

public ImportReportAction(MultiPaneEditor editor)

### ImportReportAction

public ImportReportAction(MultiPaneEditor editor, File reportZipFile)

## Method Details

### run

public void run()

Specified by:
  `run` in interface `IAction`
Overrides:
  `run` in class `Action`

### openReport

public static void openReport(MultiPaneEditor editor, File reportZipFile) throws IOException

Throws:
  `IOException`

### unzipAndOpen

public static IResult unzipAndOpen(File reportZipFile) throws IOException

Throws:
  `IOException`